Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.tapestry5.internal.plastic
Enum FieldState

    java.lang.Object
      java.lang.Enum<FieldState>
          org.apache.tapestry5.internal.plastic.FieldState

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<FieldState>

    public enum FieldState

extends java.lang.Enum<FieldState>

Enum Constant Summary
`CONDUIT`
`INITIAL`
`INJECTED`

Field Summary
`java.lang.String` | `description`

Method Summary
`static FieldState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static FieldState[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INITIAL

    public static final FieldState INITIAL

### INJECTED

    public static final FieldState INJECTED

### CONDUIT

    public static final FieldState CONDUIT

Field Detail

### description

    public final java.lang.String description

Method Detail

### values

    public static final FieldState[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(FieldState c : FieldState.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static FieldState valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2012 The Apache Software Foundation.